define(['jquery'], function($) {
    'use strict';

    return {
        init: function() {
        	//用于隐藏详情页活动产品栏
        	if($(".product").length==0 && $(".products").length==0){
        		$("#Section2").hide();
        	}
        	//保险专题热销产品 空时隐藏
        	if($(".item").length==0){
        		$(".hot-product").hide();
        	}
        	
        	this.searchProductListAvtivity();
        },
        //用于显示活动横幅
    searchProductListAvtivity:function() {
    	$("span[id^=Diy_Title_Activity_]").parent().hide();
    	var list=jQuery('span[id^=Diy_Title_Activity_]');
    	var id = new Array(list.length);
    	var idStr="";
    	for (var i = 0; i < list.length; i++) {
               id[i] = list[i].id;
               idStr+= list[i].id;
    	}
    	if(idStr==""){
    		return;
    	}

    	jQuery.ajax({
    		type: 'post',
    		url: GLOBAL_OBJ.dynamicPath+'wj/sales_volume?methodName=searchProductListAvtivitySe&productId='+id+'&channelSn=wj',
    		dataType: "json",
    		success: function(data) {
    			jQuery.each(data, function(index, object) {
    				var index_productid=index.substring(0,index.indexOf("@"));
    				if  (object != null && object != '') {
    					var obj_str=object+"";
    					var activity_title=obj_str.substring(0,obj_str.indexOf("@"));
    					var activity_description=obj_str.substring(obj_str.indexOf("@")+1,obj_str.length);
    					var productidstr=index_productid.substring(index_productid.lastIndexOf("_")+1,index_productid.length);
    					$("#Diy_Activity_"+productidstr).html("<i>"+activity_description+"</i>");
    					$("#Diy_Title_Activity_"+productidstr).html("<em>"+ activity_title +"</em>");
    					$("#Diy_Title_Activity_"+productidstr).parent().show();
    				}
    			});
    		}
    	});
    }

    }
});
